# Late Fee Rules Late Fee Rules ## Gets all of the late fee rules in the system. - [GET /lateFeeRules/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fee-rules/listlatefeerules.md): This method will scan all late fee rules and and return them to the caller. ## Creates a new late fee rule record that does not already exist. - [POST /lateFeeRules/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fee-rules/createlatefeerule.md): This method will auto-generate an ID and create a new late fee rule. If an ID is specified for the late fee rule, an error will be thrown. ## Execute Batch Operations - [POST /lateFeeRules/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fee-rules/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a late fee rule from the system by its ID. - [DELETE /lateFeeRules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fee-rules/deletelatefeerule.md): This method will delete a late fee rule with the specified ID. ## Returns a late fee rule from the system by its ID. - [GET /lateFeeRules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fee-rules/getlatefeerule.md): This method will look up a late fee rule by the specified ID and return it back. ## Partially updates a late fee rule with the specified ID. - [PATCH /lateFeeRules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fee-rules/patchlatefeerule.md): This method will patch an existing late fee rule with the specified ID, using the HTTP PATCH specification. ## Updates a late fee rule with the specified ID. - [PUT /lateFeeRules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fee-rules/updatelatefeerule.md): This method will update an existing late fee rule with the specified ID.